%global modname sparkline
%global distname pysparklines

Name:               python-sparklines
Version:            0.9
Release:            5%{?dist}
Summary:            A unicode sparkline generation library

Group:              Development/Libraries
License:            BSD
URL:                http://pypi.python.org/pypi/pysparklines
Source0:            http://pypi.python.org/packages/source/p/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
Requires:           python-setuptools

%if %{?rhel}%{!?rhel:0} <= 6
Requires:           python-argparse
%endif

%description
Takes series data via stdin, command line, or API and prints a sparkline
representation.

%prep
%setup -q -n %{distname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 man/sparkline.1 %{buildroot}%{_mandir}/man1/sparkline.1

%files
%doc README.rst LICENSE
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{distname}-%{version}*
%{_bindir}/sparkline
%{_mandir}/man1/sparkline.1*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 23 2013 Ralph Bean <rbean@redhat.com> - 0.9-2
- Add conditional requirement on python-argparse for el6.

* Fri Aug 23 2013 Ralph Bean <rbean@redhat.com> - 0.9-1
- Latest upstream; includes man pages.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.7-2
- Updated summary based on feedback from rpmlint.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.7-1
- Latest upstream; includes LICENSE file.

* Thu Aug 22 2013 Ralph Bean <rbean@redhat.com> - 0.6-1
- Latest upstream; includes fixed shebang.

* Wed Aug 21 2013 Ralph Bean <rbean@redhat.com> - 0.3-1
- Initial package for Fedora
